Check Point Advisories

Cisco Multiple Products Remote Code Execution (CVE-2019-1821)

Check Point Reference: CPAI-2019-0780
Date Published: 20 Jun 2019
Severity: Critical
Last Updated: 28 Nov 2019
Source:
Industry Reference:CVE-2019-1821
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable? Cisco Prime Infrastructure prior to 3.4.1, 3.5, and 3.6
Cisco Evolved Programmable Network Manager prior to 3.0.1
Vulnerability Description A remote code execution vulnerability exists in the web based management interface of Cisco Prime Infrastructure and Cisco Evolved Programmable Network Manager. A remote unauthenticated attacker could exploit this vulnerability to execute code with root level privileges on the target system.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Cisco Multiple Products Remote Code Execution (CVE-2019-1821) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  Cisco Protection Violation.
Attack Information:  Cisco Multiple Products Remote Code Execution (CVE-2019-1821)

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO